import json


class User:

    def __init__(self, name=None, contact=None, contactType=None):
        self.__name = name
        self.__contact = contact
        self.__contactType = contactType

    def get_name(self):
        return self.__name

    def set_name(self, value):
        self.__name = value

    def get_contact(self):
        return self.__contact

    def set_contact(self, value):
        self.__contact = value

    def get_contactType(self):
        return self.__contactType

    def set_contactType(self, value):
        self.__contactType = value

    def to_json(self):
        json_dic = {}
        if self.__name is not None:
            json_dic['name'] = self.__name
        if self.__contact is not None:
            json_dic['contact'] = self.__contact
        if self.__contactType is not None:
            json_dic['contactType'] = self.__contactType
        return json_dic
