from httpClient.RequestMethod import *
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter


class CompanyAuthDetailRequest(BaseHttpRequest):

    def __init__(self, requestId=None, companyName=None):
        self.__requestId = requestId
        self.__companyName = companyName

    def get_requestId(self):
        return self.__requestId

    def set_requestId(self, value):
        self.__requestId = value

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_path(self):
        return '/companyauth/result'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__requestId is not None:
            parameter.add_params('requestId', self.__requestId)
        if self.__companyName is not None:
            parameter.add_params('companyName', self.__companyName)
        return parameter
