from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class CompanyAuthLicenseH5PageRequest(BaseHttpRequest):

    def __init__(self, companyName=None, registerNo=None, legalPerson=None, platformName=None, callbackUrl=None, applicantInfo=None, license=None, closeButton=None):
        self.__companyName = companyName
        self.__registerNo = registerNo
        self.__legalPerson = legalPerson
        self.__platformName = platformName
        self.__callbackUrl = callbackUrl
        self.__applicantInfo = applicantInfo
        self.__license = license
        self.__closeButton = closeButton

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_legalPerson(self):
        return self.__legalPerson

    def set_legalPerson(self, value):
        self.__legalPerson = value

    def get_platformName(self):
        return self.__platformName

    def set_platformName(self, value):
        self.__platformName = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_applicantInfo(self):
        return self.__applicantInfo

    def set_applicantInfo(self, value):
        self.__applicantInfo = value

    def get_license(self):
        return self.__license

    def set_license(self, value):
        self.__license = value

    def get_closeButton(self):
        return self.__closeButton

    def set_closeButton(self, value):
        self.__closeButton = value

    def get_path(self):
        return '/companyauth/h5pagewithlicense'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__companyName is not None:
            parameter.add_params('companyName', self.__companyName)
        if self.__registerNo is not None:
            parameter.add_params('registerNo', self.__registerNo)
        if self.__legalPerson is not None:
            parameter.add_params('legalPerson', self.__legalPerson)
        if self.__platformName is not None:
            parameter.add_params('platformName', self.__platformName)
        if self.__callbackUrl is not None:
            parameter.add_params('callbackUrl', self.__callbackUrl)
        if self.__applicantInfo is not None:
            parameter.add_params('applicantInfo', self.__applicantInfo)
        if self.__license is not None:
            parameter.add_file('license', self.__license)
        if self.__closeButton is not None:
            parameter.add_file('closeButton', self.__closeButton)
        return parameter