from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractAuditRequest(BaseHttpRequest):

    def __init__(self, contractId=None, audit=None, comment=None, bizId=None, tenantName=None):
        self.__contractId = contractId
        self.__audit = audit
        self.__comment = comment
        self.__bizId = bizId
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_audit(self):
        return self.__audit

    def set_audit(self, value):
        self.__audit = value

    def get_comment(self):
        return self.__comment

    def set_comment(self, value):
        self.__comment = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/contract/employeeaudit'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__audit is not None:
            json_dic['pass'] = self.__audit
        if self.__comment is not None:
            json_dic['comment'] = self.__comment
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        parameter.set_json(json.dumps(json_dic))
        return parameter
