from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractSignLpRequest(BaseHttpRequest):

    def __init__(self, signParam=None):
        self.__signParam = signParam

    def get_signParam(self):
        return self.__signParam

    def set_signParam(self, value):
        self.__signParam = value

    def get_path(self):
        return '/v2/contract/legalpersonsign'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__signParam is not None:
            parameter.set_json(json.dumps(self.__signParam.to_json()))
        return parameter
