class Action:

    def __init__(self, id=None, type=None, name=None, serialNo=None, sealId=None, operators=None, stampers=None,
                 hasLocation=None, sealIds=None):
        self.__id = id
        self.__type = type
        self.__name = name
        self.__serialNo = serialNo
        self.__sealId = sealId
        self.__operators = operators
        self.__stampers = stampers
        self.__hasLocation = hasLocation
        self.__sealIds = sealIds

    def get_id(self):
        return self.__id

    def set_id(self, value):
        self.__id = value

    def get_type(self):
        return self.__type

    def set_type(self, value):
        self.__type = value

    def get_name(self):
        return self.__name

    def set_name(self, value):
        self.__name = value

    def get_serialNo(self):
        return self.__serialNo

    def set_serialNo(self, value):
        self.__serialNo = value

    def get_sealId(self):
        return self.__sealId

    def set_sealId(self, value):
        self.__sealId = value

    def get_operators(self):
        return self.__operators

    def set_operators(self, value):
        self.__operators = value

    def get_stampers(self):
        return self.__stampers

    def set_stampers(self, value):
        self.__stampers = value

    def get_hasLocation(self):
        return self.__hasLocation

    def set_hasLocation(self, value):
        self.__hasLocation = value

    def get_sealIds(self):
        return self.__sealIds

    def set_sealIds(self, value):
        self.__sealIds = value

    def to_json(self):
        json_dic = {}
        if self.__id is not None:
            json_dic['id'] = self.__id
        if self.__type is not None:
            json_dic['type'] = self.__type
        if self.__name is not None:
            json_dic['name'] = self.__name
        if self.__serialNo is not None:
            json_dic['serialNo'] = self.__serialNo
        if self.__sealId is not None:
            json_dic['sealId'] = self.__sealId
        if self.__operators is not None:
            operator_list = []
            for operator in self.__operators:
                operator_list.append(operator.to_json())
            json_dic['operators'] = operator_list
        if self.__stampers is not None:
            stamper_list = []
            for stamper in self.__stampers:
                stamper_list.append(stamper.to_json())
            json_dic['stampers'] = stamper_list
        if self.__sealIds is not None:
            sealIds_list = []
            for sealId in self.__sealIds:
                sealIds_list.append(sealId)
            json_dic['sealIds'] = sealIds_list
        return json_dic
