class Document:

    def __init__(self, id=None, title=None, pageCount=None, createTime=None, contentType=None, params=None):
        self.__id = id
        self.__title = title
        self.__pageCount = pageCount
        self.__createTime = createTime
        self.__contentType = contentType
        self.__params = params

    def get_id(self):
        return self.__id

    def set_id(self, value):
        self.__id = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_pageCount(self):
        return self.__pageCount

    def set_pageCount(self, value):
        self.__pageCount = value

    def get_createTime(self):
        return self.__createTime

    def set_createTime(self, value):
        self.__createTime = value

    def get_contentType(self):
        return self.__contentType

    def set_contentType(self, value):
        self.__contentType = value

    def get_params(self):
        return self.__params

    def set_params(self, value):
        self.__params = value

    def to_json(self):
        json_dic = {}
        if self.__id is not None:
            json_dic['id'] = self.__id
        if self.__title is not None:
            json_dic['title'] = self.__title
        if self.__pageCount is not None:
            json_dic['pageCount'] = self.__pageCount
        if self.__createTime is not None:
            json_dic['createTime'] = self.__createTime
        if self.__contentType is not None:
            json_dic['contentType'] = self.__contentType
        if self.__params is not None:
            param_list = []
            for templateParam in self.__params:
                param_list.append(templateParam.to_json())
            json_dic['params'] = param_list
        return json_dic
