
class SealImageInfo:

    def __init__(self, style=None, spec=None, branchName=None, foot=None, enterpriseCode=None, enContent=None, edgeWidth=None):
        self.__style = style
        self.__spec = spec
        self.__branchName = branchName
        self.__foot = foot
        self.__enterpriseCode = enterpriseCode
        self.__enContent = enContent
        self.__edgeWidth = edgeWidth

    def get_style(self):
        return self.__style

    def set_style(self, value):
        self.__style = value

    def get_spec(self):
        return self.__spec

    def set_spec(self, value):
        self.__spec = value

    def get_branchName(self):
        return self.__branchName

    def set_branchName(self, value):
        self.__branchName = value

    def get_foot(self):
        return self.__foot

    def set_foot(self, value):
        self.__foot = value

    def get_enterpriseCode(self):
        return self.__enterpriseCode

    def set_enterpriseCode(self, value):
        self.__enterpriseCode = value

    def get_enContent(self):
        return self.__enContent

    def set_enContent(self, value):
        self.__enContent = value

    def get_edgeWidth(self):
        return self.__edgeWidth

    def set_edgeWidth(self, value):
        self.__edgeWidth = value

    def to_json(self):
        json_dic = {}
        if self.__style is not None:
            json_dic['style'] = self.__style
        if self.__spec is not None:
            json_dic['spec'] = self.__spec
        if self.__branchName is not None:
            json_dic['branchName'] = self.__branchName
        if self.__foot is not None:
            json_dic['foot'] = self.__foot
        if self.__enterpriseCode is not None:
            json_dic['enterpriseCode'] = self.__enterpriseCode
        if self.__enContent is not None:
            json_dic['enContent'] = self.__enContent
        if self.__edgeWidth is not None:
            json_dic['edgeWidth'] = self.__edgeWidth
        return json_dic
