class SignParam:

    def __init__(self, contractId=None, stampers=None, sealId=None, bizId=None, tenantName=None):
        self.__contractId = contractId
        self.__stampers = stampers
        self.__sealId = sealId
        self.__bizId = bizId
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_stampers(self):
        return self.__stampers

    def set_stampers(self, value):
        self.__stampers = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_sealId(self):
        return self.__sealId

    def set_sealId(self, value):
        self.__sealId = value

    def to_json(self):
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__sealId is not None:
            json_dic['sealId'] = self.__sealId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__stampers is not None:
            stamper_list = []
            for stamper in self.__stampers:
                stamper_list.append(stamper.to_json())
            json_dic['stampers'] = stamper_list
        return json_dic
