class TemplateParam:

    def __init__(self, name=None, value=None, required=None, type=None):
        self.__name = name
        self.__value = value
        self.__required = required
        self.__type = type

    def get_name(self):
        return self.__name

    def set_name(self, value):
        self.__name = value

    def get_value(self):
        return self.__value

    def set_value(self, value):
        self.__value = value

    def get_required(self):
        return self.__required

    def set_required(self, value):
        self.__required = value

    def get_type(self):
        return self.__type

    def set_type(self, value):
        self.__type = value

    def to_json(self):
        json_dic = {}
        if self.__name is not None:
            json_dic['name'] = self.__name
        if self.__type is not None:
            json_dic['type'] = self.__type
        if self.__required is not None:
            json_dic['required'] = self.__required
        if self.__value is not None:
            json_dic['value'] = self.__value
        return json_dic
