class HttpParameter:

    def __init__(self, method):
        self.__method = method
        self.__params = {}
        self.__files = {}
        self.__json = None

    def get_method(self):
        return self.__method

    def set_method(self, value):
        self.__method = value

    def get_json(self):
        return self.__json

    def set_json(self, value):
        self.__json = value

    def get_file(self):
        return self.__files

    def set_file(self, value):
        self.__files = value

    def add_file(self, key, value):
        self.__files[key] = value

    def add_params(self, key, value):
        self.__params[key] = value

    def get_params(self):
        return self.__params

    def is_json(self):
        return self.__json is not None
