
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class CompanyLicenseDownloadRequest(BaseHttpRequest):

    def __init__(self, companyName=None):
        self.__companyName = companyName

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_path(self):
        return '/v2/company/downloadlicense'

    def get_params(self):
        params = HttpParameter(RequestMethod.GET)
        params.add_params('companyName', self.__companyName)
        return params
