from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class TemplateListRequest(BaseHttpRequest):

    def __init__(self, selectOffset=None, selectLimit=None, tenantName=None):
        self.__selectOffset = selectOffset
        self.__selectLimit = selectLimit
        self.__tenantName = tenantName

    def get_selectOffset(self):
        return self.__selectOffset

    def set_selectOffset(self, value):
        self.__selectOffset = value

    def get_selectLimit(self):
        return self.__selectLimit

    def set_selectLimit(self, value):
        self.__selectLimit = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return "/v2/template/list"

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        parameter.add_params('selectOffset', self.__selectOffset)
        parameter.add_params('selectLimit', self.__selectLimit)
        parameter.add_params('tenantName', self.__tenantName)
        return parameter
