from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class TemplatePageRequest(BaseHttpRequest):

    def __init__(self, templateId):
        self.__templateId = templateId

    def get_templateId(self):
        return self.__templateId

    def set_templateId(self, value):
        self.__templateId = value

    def get_path(self):
        return '/v2/template/pageurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        parameter.add_params('templateId', self.__templateId)
        return parameter
